---@meta

---@class UCompositeCorePluginSettings : UDeveloperSettings
---@field bApplyPreExposure boolean
---@field bApplyFXAA boolean
---@field DisabledPrimitiveClasses TArray<FSoftClassPath>
---@field AllowedComponentClasses TArray<FSoftClassPath>
---@field SceneViewExtensionPriority int32
local UCompositeCorePluginSettings = {}



---@class UCompositeCoreSubsystem : UTickableWorldSubsystem
local UCompositeCoreSubsystem = {}

---@param InPrimitiveComponent UPrimitiveComponent
function UCompositeCoreSubsystem:UnregisterPrimitive(InPrimitiveComponent) end
---@param InPrimitiveComponent UPrimitiveComponent
function UCompositeCoreSubsystem:RegisterPrimitive(InPrimitiveComponent) end


---@class UHoldoutCompositeComponent : USceneComponent
---@field bIsEnabled boolean
local UHoldoutCompositeComponent = {}

---@param bInEnabled boolean
function UHoldoutCompositeComponent:SetEnabled(bInEnabled) end
---@return boolean
function UHoldoutCompositeComponent:IsEnabled() end


